@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@400;700&display=swap');

:root {
    --corporate-blue: #02407B;
    --corporate-blue-light: #72b6f5;
    --corporate-blue-l2: #b8d4ee;
    --corporate-orange: #FC6506;
    --corporate-white: #FCFFFC;
    --corporate-black: #11151C;
    --corporate-gray: #757780;
    --corporate-green: #388697;
    --corporate-red: #CC2936;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Montserrat', sans-serif;
    background-color: var(--corporate-white);
    display: flex;
    flex-direction: column;
    width: 100%;
}

.header, .footer, .section {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.header img {
    height: calc(44px + (44 - 16) * ((100vw - 320px) / (1920 - 320)));
    width: auto;
    display: block;
    margin: 2rem auto;
}

.footer {
    background-color: var(--corporate-blue);
    color: var(--corporate-white);
    padding: 20px;
    text-align: center;
}

.section {
    padding: 2rem;
    background: linear-gradient(to right, var(--corporate-blue-light), var(--corporate-blue-l2));
    border-radius: 15px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    overflow: auto;
    max-width: 1300px;
    gap: 0.6rem;
}

.text-section h1, .text-section h2, .text-section p {
    margin-bottom: 1rem;
}

.text-section, .image-section {
    flex-grow: 1;
    flex-basis: 0;
}

.text-section {
    text-align: left;
    max-width: 95%;
}

.image-section {
    width: 40%;
}

.image-section img {
    height: 30.5rem;
}

/* Estilos para móviles */
@media (max-width: 767px) {
    .section {
        flex-direction: column;
        padding: 0.5rem;
    }

    .text-section, .image-section {
        width: 100%;
    }

    .caja-abierto {
        margin-inline: 0.6rem !important;
        width: 96%;
    }
}

/* Estilos para tablets y desktops */
@media (min-width: 768px) {
    .section {
        flex-direction: row;
    }

    .text-section, .image-section {
        flex-direction: column;
        width: 50%;
    }

    .caja-abierto {
        margin-inline: 0.6rem !important;
        width: 97%;
    }
}

.cta-button {
    background-color: var(--corporate-orange);
    border: none;
    color: var(--corporate-white);
    padding: 15px 32px;
    text-align: center;
    display: inline-block;
    font-size: 16px;
    margin: 4px 2px;
    cursor: pointer;
    border-radius: 0.3rem;
    transition: background-color 0.3s ease;
}

.cta-button:hover {
    background-color: var(--corporate-black);
}

@media (max-width: 767px) {
    .section {
        margin: 0.09rem;
    }

    .image-section img {
        margin-bottom: -0.7rem;
    }

    .cta-button {
        font-size: 14px;
    }

    .centro {
        margin-inline: 0.6rem !important;
    }
}

@media (min-width: 768px) {
    .section {
        margin: 0.6rem;
    }

    .cta-button {
        font-size: 18px;
    }

    .margenes {
        margin-inline: 0.6rem;
        margin-top: 0.6rem;
    }

    .caja-abierto {
        margin-inline: 0.6rem !important;
    }
}

@media (min-width: 1024px) {
    .section {
        margin: 0.6rem;
    }

    .image-section img {
        margin-bottom: -2.2rem;
    }

    .cta-button {
        font-size: 20px;
    }
}

@media (min-width: 1200px) {
    .section {
        margin: auto;
        margin-bottom: 0.6rem;
    }

    .image-section img {
        margin-bottom: -2.2rem;
    }

    .cta-button {
        font-size: 22px;
    }

    .margenes {
        margin-inline: 0;
    }
}

@media (min-width: 767px) and (max-width: 815px) {
    .image-section img {
        margin-bottom: -3.4rem;
    }
}

.logos {
    display: flex;
    flex-direction: row;
    gap: 0.8rem;
    flex-wrap: wrap;
    margin: 0.6rem auto;
    max-width: 1300px;
    padding: 0.4rem;
    justify-content: center;
}

.margen {
    margin-inline: 0.6rem;
}

.logoD {
    display: flex;
    flex-grow: 1;
    min-width: 13rem;
    height: 102px;
    justify-content: center;
    align-items: center;
}

.logo {
    display: flex;
    flex-grow: 1;
    min-width: 12rem;
    height: 92px;
    justify-content: center;
    align-items: center;
}

.t4 {
    text-align: center;
    font-weight: 200;
    font-size: 0.8rem;
}

.image-section, 
.logo,
.logoD {
    opacity: 0;
    transition: opacity 2s ease-in-out;
    position: relative;
    top: 50px;
}

.responsiveContent {
    position: relative;
    height: 0;
    overflow: hidden;
    padding-bottom: 56.2%;
    margin-bottom: 20px;
}

.responsiveContent iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 0.8rem;
}

.main-bg-negro {
    background-color: var(--negro-ubk) !important;
}

.verde_accion {
    background-color: var(--verde_accion);
}

.margenes {
    max-width: 1300px;
    display: block;
    justify-content: center;
    overflow: auto !important;
    margin-top: 0.6rem;
}

.centro {
    margin: 0 auto;
}

.caja-abierto,
.caja-cerrado {
    padding: 2rem;
    border-radius: 1.1rem;
    text-align: center;
    text-transform: uppercase;
    font-weight: 700;
    font-size: calc(18px + (28 - 18) * ((100vw - 320px) / (1920 - 320)));
    background-color: var(--corporate-blue);
    max-width: 1300px;
    margin: 1.2rem auto !important;
    margin-bottom: 0.6rem!important;
}

.banner-fedecamaras img {
    max-width: 100%;
    height: auto;
}


/* Añadir estilos específicos para inputs y labels */
form div {
    margin-bottom: 15px;
}

label {
    font-size: 0.8rem;
    font-weight: 300;
    display: block;
    text-align: left;
}

input[type="text"],
input[type="tel"],
input[type="email"],
select {
    width: 100%;
    padding: 10px;
    border: 0 solid var(--corporate-gray);
    border-radius: 4px;
    margin-top: 2px;
}

.inline {
    display: flex;
    align-items: center;
}

input[type="checkbox"] {
    margin-right: 10px;
}

.botones {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 20px;
}

.cta-button {
    background-color: var(--corporate-orange);
    color: var(--corporate-white);
    padding: 15px 32px;
    text-align: center;
    font-size: 16px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.cta-button:hover {
    background-color: var(--corporate-black);
}

h1,
h3 {
    text-transform: uppercase;
}

h5 {
    text-align: left;
    margin-bottom: 0.3rem;
    margin-left: 0.3rem;
    font-weight: 700;
}

